NetCaptor Help - Getting Started

 Getting Started

To get started browsing the internet or an intranet using NetCaptor, start the program file NetCaptor.exe using a shortcut on the start menu or your desktop. NetCaptor is different than most web browsers in that it allows you to browse multiple sites at the same time. Web sites are opened on tabs which allow the user to easily switch between open sites.

New in NetCaptor 7.5.0

  • Google Toolbar Support
  • RoboForm Toolbar Support
  • Shared CaptorGroups
  • Administrative Options and Limited Users

    The following topics may be helpful as you get started:

  • Opening New Browser Tabs
  • Closing Browser Tabs
  • Customizing NetCaptor
  • Advanced Security Features
  • QuickSearch
  • PopupCaptor
  • Url Blocking
  • Aliases
  • Locked Tabs
  • Address Tools
  • Secure Clean Up
  • Mouse Gestures
  • PopupCaptor Exceptions


NetCaptor Help - Opening New Browser Tabs

 Opening Browser Tabs

There are a number of ways to open new browser tabs. To open a new browser tab, click on the ‘New’ toolbar button or select the File>New Browser menu.

  • Current – opens a new browser tab at the same location as the active browser tab
  • Home Page – opens a new browser tab at your home page
  • Blank – opens a new browser tab at a blank page
Another method of opening a new browser tab is to Right-Click on the link and select ‘Open in New Window’ from the pop-up menu. This action will open a new browser tab and navigate to the selected link. Alternately, hold down the SHIFT key when clicking on a link, favorite item, history item, or search engine listing to open it on a new browser tab.


NetCaptor Help - Closing Browser Tabs

 Closing Browser Tabs

There are a number of ways to close browser tabs.

  • Close Buttons: The buttons on the top right hand corner of the application allow you to close the active browser tab or to close all browser tabs.
  • File Menu: File menu > Close and File menu > Close All
  • Tab Popup Menu: Browser Tab Popup Menu > Close item
  • Keyboard shortcuts: CTRL+W and CTRL+F4 close the active browser tab. CTRL+SHIFT+W will close all tabs.
  • Mouse Clicks, Double-Clicks: You can close tabs by clicking with the Middle mouse button, double-clicking with the Left mouse button, and clicking with the Left mouse button while holding down the CTRL key. See NetCaptor Options > Close Tabs for more information and to enable and disable these options.

Right-click on a browser tab or right-click on the close-all button for advanced close-all options.


NetCaptor Help - Customizing NetCaptor

 Customizing NetCaptor

  • Toolbars
  • Startup Options
  • Loading Options
  • NetCaptor Options


NetCaptor Help - Customizing the Toolbar

 Customizing the Toolbar

NetCaptor makes it easy to customize the toolbar. Select Customize from the Toolbar popup menu to open the Customize Toolbar dialog. This dialog displays a list of all available toolbar buttons with descriptions. Use the Up and Down button on the side of the dialog to reorder the toolbar buttons.


NetCaptor Help - Keyboard Shortcuts

 Keyboard Shortcuts

The following keyboard shortcuts are available for use in NetCaptor:

BACKSPACE or ALT + Left Arrow | navigates the active browser tab back one step
SHIFT + BACKSPACE or ALT + Right Arrow | navigates the active browser tab forward one step
ESC | stops loading the active browser tab
SHIFT + ESC | stops loading all browser tabs
F1 | displays online help
F2 or CTRL+SHIFT+TAB | selects the previous (left of active) browser tab
F3 or CTRL+TAB | selects the next (right of active) browser tab
CTRL + F3 | PowerNext feature. Scans and navigates active browser tab to 'NEXT' link
F4 | drops down the address bar combo box
F5 or CTRL + R | refreshes the active browser tab
SHIFT + F5 | refreshes all browser tabs
F6 | adds the current site to a CaptorGroup
F7 | saves the current sites as a CaptorGroup
F8 | adds the current site to PopupCaptor
F9 | sets or clears the StickyName for the selected site
F11 | toggles full-screen mode
F12 | locks or unlocks the current tab
CTRL + F12 | toggles the 'open new browser tabs in foreground' setting
ALT+D | sets focus to the address bar
CTRL + B | opens the Organize Favorites dialog
CTRL + D | add this tab to your favorites
CTRL + SHIFT + D | toggles data-entry mode setting
CTRL + E | opens the CaptorBar with the Search tab active
CTRL + F | shows the find dialog for the active tab
CTRL + G | opens the CaptorBar with the CaptorGroups tab active
CTRL+H | opens the CaptorBar with the History tab active
CTRL + SHIFT + H | Opens a new browser tab at your home page
CTRL + I | opens the CaptorBar with the Favorites tab active
CTRL + K | closes all tabs except the active tab
CTRL+L | displays the open file dialog box
CTRL+M | opens a new browser tab at the location of the active browser tab.
CTRL+N | opens a new browser tab at a blank page (or other default setting)
CTRL+O | displays the open dialog box
CTRL+P | prints the active tab
CTRL+Q | reopens the last closed tab
CTRL+SHIFT+S | displays the save as dialog box
CTRL+W or CTRL+F4 | closes the active browser tab
CTRL+SHIFT+W | closes all browser tabs
ALT+HOME | sends the active tab to your home location
CTRL+T | sends the active tab to its home location -- this is the starting url for a CaptorGroup or the first url for any other tab.
CTRL+UP ARROW | Scales the browser text size up.
CTRL+DOWN ARROW | Scales the browser text size down.

Others shortcut keys are available to select menu items and are indicated by an underscore character. For example, to select the File menu, use the ALT+F keyboard combination.


NetCaptor Help - Technical Support

 Technical Support

Click here to visit the NetCaptor tech support web site. This site contains a collection of Frequently Asked Questions, Tips, and other articles.

Stilesoft Inc. offers free technical support for registered users of NetCaptor via email. Send your questions to support@netcaptor.com.

When sending bug reports, please include the NetCaptor version number and Microsoft Internet Explorer version number. Click the Help|About menu item to display the About box which contains these version numbers.


NetCaptor Help - Get Email Updates

 Email Updates

Stilesoft maintains the NetCaptor News mailing list (netcaptor-news@netcaptor.com) so we can notify our users about updates to our software. NetCaptor News is a double opt-in mailing list. This means that no one can be subscribed against his or her will, and only users who have activated their subscriptions from a confirmation email are added to the list.

You will have complete control over your subscription and can unsubscribe at any time.

Click here to subscribe!


NetCaptor Help - Options

 Options

General

  • Allow multiple instances of NetCaptor - use this option to allow multiple instances of NetCaptor to run at the same time.
  • Minimize to system tray - use this option to minimize NetCaptor to the system tray (instead of the task bar)
  • Close unused folders in CaptorBar tree views - use this option to close any unused folders in the Favorites, History, and CaptorGroups trees on the CaptorBar.
  • Automatically check for new versions of NetCaptor - use this option for NetCaptor to automatically check for new versions of NetCaptor. The only information transferred to the server during a version check is the current version number. No personal information of any kind is sent to the server.
  • Load Browser Helper Objects - use this option to load third-party browser helper objects that have been installed for NetCaptor
  • Suppress JavaScript Errors - use this option to suppress JavaScript error messages
  • Show active tab title in window caption - use this option to show the Title of the active browser tab in the NetCaptor window caption
  • Use flat browser borders and scrollbars - use this option to use flat scrollbars and borders for all browser windows.
  • Data Entry Mode - In this mode, all ALT shortcut keys are forwarded to the browser. ALT shortcut keys can be used to provide fast access to input fields. Use this option with care as the regular NetCaptor ALT shortcuts will no longer work.
  • Add NetCaptor user-agent identification - When this setting is enabled, NetCaptor includes a "NetCaptor" string in your browser user-agent identification.
  • Automatically open collapsed CaptorBar - Automatically opens the CaptorBar when the mouse moves over it. This works when the CaptorBar is collapsed.
  • Use mouse gestures - Enables or disables the use of mouse gestures.

Browser Tabs

  • Open new browser tabs in the foreground (CTRL+F12 shortcut) - use this option to open new browser tabs in the foreground (active) instead of opening them in the backgroung (inactive).
  • Close other tabs when opening CaptorGroups - use this option to close all open tabs before opening a CaptorGroup. If this option is not selected, CaptorGroup links are opened on new browser tabs leaving any current tabs intact.
  • Limit browser title length - use this option to limit the length of browser tab titles. StickyNames may also be used to limit title length.
  • Open new tabs at end - use this option to open new browser tabs at the end of the currently open tabs instead of next to the source tab.
  • Display browser tabs at the bottom - use this option to display browser tabs aligned to the bottom of the screen. Unselecting this option aligns browser tabs at the top. NetCaptor needs to be restarted for this option to take effect.
  • Display browser tabs on multiple lines - use this option to display browser tabs on multiple lines if there are too many to fit on one. NetCaptor needs to be restarted for this option to take effect.

Tab Colors

  • Use reversed color scheme - NetCaptor default, inactive tabs are reversed from active tab
  • Use standard color scheme - inactive tabs and active tab are same color
  • Use custom colors - select custom colors for inactive tab
  • Bold Active Tab Title - makes the active tab title bold
New Tabs

  • Open new browser tabs - NetCaptor can be configured so that different kinds of links will open automatically on new browser tabs. Select from the following options: Favorites (menu and sidebar, History, Search, Links Bar, and Address Bar. Note: Hold down the SHIFT key when navigating (clicking or selecting) and the new browser option will be reversed.
  • Default action for New button - select the default action for the new button, either a new blank browser tab, a brower tab at the current location, or a new browser tab at the home page.
Close Tabs

  • Close tabs on middle mouse button click - use this option to close tabs using your middle mouse button
  • Close tabs on double click - use this option to close tabs by double-clicking
  • Close tabs on right click with CTRL selected - use this option to by mouse clicking while holding the CTRL key

Startup
This tab gives you options about how to start NetCaptor.

  • Start NetCaptor at Blank Page - use this option to start NetCaptor at a blank page
  • Start NetCaptor at Home Page - use this option to start NetCaptor at your home page
  • Start NetCaptor with Last Open Sites - use this option to start NetCaptor with the same sites that were open when it was last closed.
  • Start NetCaptor with CaptorGroup - use this option to start NetCaptor with a CaptorGroup of your choice. Enter the name of the CaptorGroup in the text box or use the '...' button to select it.
  • Skip startup when starting from external link - use this option to skip NetCaptor startup options when NetCaptor is opened from an external link

Domain Completion
See the topic on Domain Completion for more information on using these Options.

PopupCaptor
See the topic on PopupCaptor for more information on using these Settings.

Address Bar

  • Show 'Go' button in address bar - use this option to show a 'Go' button in the address bar (click on it to navigate to the Url in the address bar)
  • Open urls typed in Address Bar on new browser tab - self explanatory ;-)
  • Don't use AutoComplete - use this option to turn off AutoComplete in the Address Bar.
  • IE4 Style AutoComplete - use this option to turn on IE4 style AutoComplete in the Address Bar.
  • IE5 Style AutoComplete - use this option to turn on IE5 style AutoComplete in the Address Bar.

Confirmations

  • Confirm close all browser tabs - shows a confirmation dialog before closing all browser tabs
  • Confirm application shutdown - shows a confirmation dialong before shutting down NetCaptor
  • Confirm PopupCaptor browser tab closings - shows a confirmation dialog when PopupCaptor closes a popup window

Favorites

  • Break Favorites menu into multiple columns - breaks the Favorites menu into multiple columns if necessary, instead of displaying a scrolling menu
  • Use custom Favorites menu icons - uses custom icons for Favorite items
  • Show 'Open All Favorites' menu items - shows the 'Open All Favorites' menu item in each folder

Default Browser

  • Ask to make NetCaptor the default browser - check this option to enable NetCaptor to check that its the default browser on startup Individual file and protocol associations may also be selected from the list.


NetCaptor Help - Uninstalling NetCaptor

 Uninstalling NetCaptor

To uninstall NetCaptor, go to the Add/Remove Programs on the Control Panel. Select the Install/Uninstall tab and select NetCaptor out of the list. Finally, click Add/Remove. This will run the Uninstall program and will prompt you for uninstall options.


NetCaptor Help - Using CaptorGroups

 Using CaptorGroups

CaptorGroups is a NetCaptor feature that makes it easy to maintain and navigate to multiple web sites. Each CaptorGroup can contain a list of links to web sites. When you select a CaptorGroup from the CaptorGroups menu, NetCaptor will open all of the sites in that list.

CaptorGroups can be opened and organized in the CaptorGroups tab on the sidebar.

Get more information about Shared CaptorGroups.

Managing CaptorGroups

  • Creating a CaptorGroup – Open the sites that you wish to add to the CaptorGroup. Then, select the CaptorGroups>Save as CaptorGroup menu item. Name and save the CaptorGroup.
  • Modifying a CaptorGroup – Select the CaptorGroups tab on the CaptorBar (sidebar). Select the CaptorGroup file that you wish to modify and right-click and choose Organize. This will bring up the Modify CaptorGroup dialog which allows you to make changes to the sites listed in a CaptorGroup.
  • Adding a Site to a CaptorGroup – To add a link to an existing CaptorGroup, navigate to the site on a browser tab and select the Add to CaptorGroup menu item from the CaptorGroups menu. Then, select the CaptorGroup to which you wish to add the link. The location of the active browser tab will be added to the selected CaptorGroup. (This option is also available from the tab popup menu).

CaptorGroups used in NetCaptor may use the StickyNames feature. Click here for more information about StickyNames.


NetCaptor Help - StickyNames

 Sticky Names

Use StickyNames to change what caption is displayed on browser tabs. Normally, a browser tab displays the HTML title of the document as its caption. StickyNames allow you to set a tab caption that is persistent for the current browser session. To set a StickyName for a browser tab, right-click and select Set StickyName from the popup menu and enter the desired name. Clear a StickyName by selecting Clear StickyName from the popup menu.

StickyNames can be used with CaptorGroups so that each link in the CaptorGroup can have its own StickyName. This is the only way that StickyNames may be used across browser sessions. StickyNames are preserved whenever you create a new CaptorGroup. You may also specify a StickyName for any links in the Modify CaptorGroup dialog.

  • More on CaptorGroups...


NetCaptor Help - Shared CaptorGroups

 Shared CaptorGroups

NetCaptor's Shared CaptorGroups feature makes it easy for groups of users to share a set of CaptorGroups. Customer service groups, tech support teams, and other workgroups can use Shared CaptorGroups to provide a central location for links to be shared. Shared CaptorGroups are loaded from a location specified by the user and are usually located in a folder that is shared on a network. Shared CaptorGroups are loaded into the CaptorGroups menu underneath a user's personal CaptorGroups. Shared CaptorGroups are not edited in NetCaptor directly.

To change the location from which NetCaptor loads Shared CaptorGroups, select "Choose Shared CaptorGroup Folder..." from the CaptorGroups menu.


NetCaptor Help - PopupCaptor

 PopupCaptor Overview

PopupCaptor allows you to automatically close popup browser windows. It is intended for use with sites which automatically popup new windows without first asking the user. The PopupCaptor feature maintains a list of sites which are to be automatically closed. Whenever a new window is opened, it is checked against the listed sites. If a match is found the popup window is automatically closed by NetCaptor.

Adding a Site to the PopupCaptor List
To add a site to the PopupCaptor list, right click on the 'offending' browser tab and select 'Add to PopupCaptor List'. This will close the browser tab and add it to the list so that popup windows from this location won't open again. You may also use the F8 shortcut key.

PopupCaptor Tip
Use the list on the PopupCaptor tab of the Options dialog to maintain and organize your PopupCaptor list. PopupCaptor will check new windows against this list for exact matches and for URL's which start with the same letters. This makes it easy to block our popup windows from whole domains. For example, you could just enter http://www.fakedomain.com/adpopup/ to automatically close all popup windows originating from the specified domain and folder.

New in NetCaptor 7
NetCaptor 7 adds a new option for use with PopupCaptor - Block Popups that load when tabs close. Selecting this option will close all popup windows that load when browser tabs close.

Also new in NetCaptor 7 is the PopupCaptor notification icon in the status bar. When PopupCaptor closes a popup, the icon will flash for 1 second in the status bar.

See also: PopupCaptor Exceptions


NetCaptor Help - Domain Completion

 Domain Completion

The domain completion feature in NetCaptor makes typing domain names in the address bar easy. To use Domain Completion, type a domain name (i.e. stilesoft) and press CTRL+ENTER. NetCaptor add http://www. to the front of the text and add .com to the end of it.

You can customize the domain completion feature in the Options dialog on the Domain Completion tab. Domain Completion can be used for CTRL+ENTER, SHIFT+ENTER, and CTRL+SHIFT+ENTER. You can change any of the default Domain Completion settings so that they work best for you.


NetCaptor Help - View Source

 Viewing HTML Source Code

The NetCaptor View Source button displays the source code of the document displayed on the active browser tab. In addition to using Windows Notepad, the button also displays a list of installed HTML Editors that can be used to view the document source. The editors correspond to those displayed on the Internet Options dialog, Programs tab, HTML Editor combo box.

This description of how to add to this list is taken from an article on the Microsoft SiteBuilder Network. The article was located at http://www.microsoft.com/workshop/browser/configuration/clientreg/clientregistrylayout.asp at the time of this writing.

Adding HTML Editors

The steps for adding HTML editors to the drop-down list on the Programs tab of the Internet Options dialog box in Internet Explorer 5 and later is slightly different than the steps for adding client applications like mail and news.

  1. Register the friendly name of the HTML editor by adding a new key to HKEY_CLASSSES_ROOT\.htm\OpenWithList. HKEY_CLASSES_ROOT\.htm\OpenWithList\friendly name
  2. Add shell, edit, and command keys to the editor's registry entry. HKEY_CLASSES_ROOT\.htm\OpenWithList\friendly name\shell\edit\command
  3. Enter the fully formed path of the .exe file that launches the editor in the command key's "Value data" field. Enclose the path in quotes if it contains spaces. The following example shows the Value data entry for a typical installation of FrontPage Express. Include %1 as a parameter. This parameter refers to the file name of the active Web page. "c:\program files\microsoft front page express\bin\fpxpress.exe" %1


NetCaptor Help - Adding HTML Editors

 Adding HTML Editors

This description of how to add to the available HTML editors was taken from an article on the Microsoft SiteBuilder Network. The article was located at here at the time of this writing.

The steps for adding HTML editors to the drop-down list on the Programs tab of the Internet Options dialog box in Internet Explorer 5 and later is slightly different than the steps for adding client applications like mail and news.

  1. Register the friendly name of the HTML editor by adding a new key to HKEY_CLASSES_ROOT\.htm\OpenWithList.
    HKEY_CLASSES_ROOT\.htm\OpenWithList\friendly name
  2. Add shell, edit, and command keys to the editor's registry entry.
    HKEY_CLASSES_ROOT\.htm\OpenWithList\friendly name\shell\edit\command
  3. Enter the fully formed path of the .exe file that launches the editor in the command key's "Value data" field. Enclose the path in quotes if it contains spaces. The following example shows the Value data entry for a typical installation of FrontPage Express. Include %1 as a parameter. This parameter refers to the file name of the active Web page. "c:\program files\microsoft front page express\bin\fpxpress.exe" %1


NetCaptor Help - Using QuickSearch

 Using QuickSearch

QuickSearch is a feature that makes it easy to launch searches from the address bar. Every day, I search NBCi, Google, MSDN, eBay, DejaNews... and its the same pattern... go to the search engine, locate the search box, plug in my search, and hit ENTER.

QuickSearch makes this process easier by allowing the user to create custom shortcuts that can be used to initiate searches directly from the address bar.

Replacement Variables

There are currently two replacement variables that can be used with QuickSearch.

  • {url} - replaced with the full url of the current browser tab
  • {domain} - replaced with the domain name of the current browser tab

The best way to describe how to use QuickSearch is to give you an example.

A QuickSearch Example - DirectHit.com

After Google, Direct Hit is my favorite search engine. The first step in adding DirectHit to QuickSearch is to visit the DirectHit web site and perform a search. If you search for 'netcaptor', you'll see the following URL in your address bar: http://www.directhit.com/fcgi-bin/DirectHitWeb.fcg?qry=netcaptor&alias=websrch

In order to work with QuickSearch, we need to replace the term we searched for ('netcaptor') with the generic term '%s'. Copy the URL above to Notepad or your favorite text editor, and replace the search term with '%s' to get this:

http://www.directhit.com/fcgi-bin/DirectHitWeb.fcg?qry=%s&alias=websrch

Copy this URL to the clipboard so we can paste it into QuickSearch.

In NetCaptor, select QuickSearch from the Options Menu. Click the Insert button. In the shortcut field, pick a 1 or 2 character shortcut (no spaces) to be used to represent Direct Hit -- 'dh' is a good one. Then, paste the URL we created above into the URL field. Finally, click the Insert button and OK to save your changes. You're all set.

Test it out -- put the cursor in NetCaptor's address bar (ALT + D). Type 'dh search' where 'search' is the target search term and then hit ENTER. Voila! You've got search results.


NetCaptor Help - Security Features

 Security Features

NetCaptor has advanced security features that give you more control over your browsing experience. These features are available from the security menu or from the security toolbar button.

NetCaptor's security features are based on security zones. Each web site you visit is a member of a zone. A page on your local hard drive is a member of the "My Computer" zone. A page on your intranet is in the "Intranet Zone". All other pages are located in the "Internet Zone". You can see which zone a site is assigned to by looking at the icon in the status bar or in the Security menu. Sites can be assigned to different zones. Unassigned sites fall into the generic "Internet Zone".

The power of security zones is that you can assigned different security profiles to different zones -- for example you can turn off Javascript for all sites in the Intranet zone. NetCaptor makes it easy to assign sites to different security zones. NetCaptor lets you set zone settings for the default "Internet Zone" for ActiveX, Javascript, Cookies, and Session cookies easily. Advanced options are avaible from Security menu.

Common Uses

One common use of Security Zones is to disallow cookies from certain sites. One way to do that is to go edit the "Restricted Sites" zone and turn off cookies and session cookies for all sites in that zone. Then, add the offending site to that zone. Many users will add "doubleclick.net" to their "Restricted Sites" zone so it won't send cookies to their computer.

Other users want to allow cookies from only sites that they specify. To do that, turn off Cookies under the "Internet" and "Restricted Sites" zones and turn them on for the "Trusted Sites" zone. Then, added sites that you trust to your "Trusted Sites" zone.


NetCaptor Help - Url Blocking

 Url Blocking

Note: Url Blocking is only available to registered users of NetCaptor. Order NetCaptor.

Basic Concepts
Web pages, frames, iframes, images, javascript files and other types of web resources all generate HTTP requests to remote servers. NetCaptor's url blocking feature allows users to block these requests based on a "Block List". When url blocking is enabled, NetCaptor checks each HTTP request against its block list and intercepts and blocks requests that match the list. Url blocking can be used to block banner ads, images, web bugs, javascript files and any other resources which generate an HTTP request.

Block List
The block list is stored in a file called "block.dat" in the NetCaptor application directory. The block list is a simple text file. Each line in the file contains one block list item. The file is loaded at startup and stored in memory, and any changes made using the Options Dialog are written to disk at that time. Users should only edit the block list manually when NetCaptor is not running, because manual changes may be overwritten by NetCaptor.

NetCaptor only blocks items that are requested using the HTTP protocol. It is not necessary to add a 'http://' to the beginning of a block list item.

Case Sensitivity
Urls are converted to lowercase before they are checked against the block list, so all entries in the block list should be in lower case.

Wildcards
The block list supports two wildcards: * and ?. The * wildcard matches a string of any length. The ? wildcard matches a single character. To match against the end of a string, add a $ character to the end of your pattern. For example, to block all GIF images, add the pattern *.gif$. This will block all URL which end with the string '.gif'.

Block List Exceptions
Sometimes it may be helpful to have add an exception to the block list. This is accomplished by prepending $ to your block list entry. For example, you may want to block all Urls coming from the netcaptor.com, using a *.netcaptor.com block list entry. However, you may want to allow urls from www.netcaptor.com. To do so, add $www.netcaptor.com to your block list.


NetCaptor Help - Using Aliases

 Using Aliases

"Aliases" is a feature that makes it easy to launch web sites from your address bar. The "Aliases" feature is similar to QuickSearch but simpler because no variables are replaced.

To create an Alias, choose the Tools Menu > Aliases. Click the Insert button, and then type the shortcut you wish to use and the URL that will be launch when that shortcut is typed in the address bar. For example, you could create an Aliases to NetCaptor.com by adding the shortcut "nc" and the url "http://www.netcaptor.com/" to your Aliases. Then, anytime you typed "nc" and hit ENTER in the address bar, you will be taken to "http://www.netcaptor.com/".

Replacement Variables

There are currently two replacement variables that can be used with Aliases.

  • {url} - replaced with the full url of the current browser tab
  • {domain} - replaced with the domain name of the current browser tab


NetCaptor Help - Address Tools

 Address Tools

Address Tools were introduced in NetCaptor 7 to make it easy to manipulate the current web page. Select the "Address Tools" button on the address bar to use these tools.

Some of the default tools installed with NetCaptor include:

  • Whois domain info - see who owns this web sites domain name
  • Wayback Machine - see older versions of the current web page
  • Similar Pages - Google - see sites that are similar to the current one
  • Backward Links - Google - see sites that link to this site
  • Cached Page - Google - see a cached version of this site
  • Site Information - Alexa - get more information about this site using the Alexa service
  • Related Links - Alexa - see sites that are related to this one
  • Anonymizer.com - browse this site anonymously with Anonymizer.com

Organizing Address Tools

Address Tools work by opening a new browser tab at a specified location that has been dynamically set based on the current web site. A great way to learn about how Address Tools work is to look at the examples that come with NetCaptor.

Replacement Variables

There are currently two replacement variables that can be used with Address Tools.

  • {url} - replaced with the full url of the current browser tab
  • {domain} - replaced with the domain name of the current browser tab


NetCaptor Help - Mouse Gestures

 Mouse Gestures

Mouse gestures are quick mouse movements that make common browser navigation tasks easy. In NetCaptor, gestures are performed by depressing the right/alternate mouse button, performing the action, and then releasing the mouse button.

The following gestures are supported:

  • LEFT - Go back one page in your navigation stack
  • RIGHT - Go forward one page in your navigation stack
  • UP then DOWN - refresh the active browser
  • DOWN - new browser (uses new default)
  • DOWN then UP - new browser tab at current location
  • DOWN then RIGHT - close the active browser tab
  • DOWN then LEFT - reopens the last closed browser tab
  • UP then LEFT - switch to the previous browser tab (left)
  • UP then RIGHT - switch to the next browser tab (right)
  • DOWN, RIGHT, then UP - close all browser tabs


NetCaptor Help - PopupCaptor Exceptions

 PopupCaptor Exceptions

This article explains how to use exceptions in your PopupCaptor list to allow certain popups.

First, a bit of PopupCaptor background. There are two parts to PopupCaptor - blocking unrequested popups, and blocking popups based on their URL. You can use either of these two features. Unrequested popups are blocked much earlier in the popup process than url-matched popups, before NetCaptor ever has access to the popup URL. Url-matched popups are matched much later in the process... we actually allow the popup to be created hidden, check the its URL against our PopupCaptor list, and then decide whether to block it.

In version 7.1.0, NetCaptor introduced the concept of exceptions to the PopupCaptor list. An exception is a normal PopupCaptor URL that starts with a $.

When the exception list is used to block unrequested popups, the parent url of the popup is checked against the exceptions in the list. If a match is found, the popup is allowed. The actual URL of the popup is NOT tested against the list.

When the exception list is used to block popups by URL, the actual popup URL is tested agains the list. Parent URLs are not tested.


NetCaptor Help - Limited User Options

 Limited Users Options

These options are only available in NetCaptor Pro.

Limited User Options are NetCaptor options that only affect Limited Users. A Limited User is a user who does not have write-access to certain parts of the registry. Users with Administrative rights can change these settings, while Limited Users can't. By default, ALL of the options are turned on except the "Always load machine default options when NetCaptor starts" option. Values are only changed from their defaults if an Administrative User has turned them off. In this case, a Limited User will not have access to a specified NetCaptor feature or option.

  • Allow automatic checking for new versions
  • Allow Load Browser Helper Objects
  • Allow user to run Clean Up
  • Allow add NetCaptor user-agent identification
  • Allow PopupCaptor blocking by list
  • Allow PopupCaptor blocking unrequested popups
  • Allow URL blocking
  • Always load machine default options when NetCaptor starts - When this option is turned on (its off by default), NetCaptor will copy the settings from HKEY_LOCAL_MACHINE section of the registry (Stilesoft\NetCaptor\CurrentVersion) to the default HKEY_CURRENT_USER section of the registry. This option may be useful to system administrators who want all users on a machine to share certain settings.


NetCaptor Help - Command Line Options

 Command Line Options

NetCaptor may be started with command line options which affect how NetCaptor starts.

NetCaptor.exe [-flags] [-url, link path or captorgroup path]

The following flags are available:

  • --undef, --uninstall, -undef, -uninstall: Makes NetCaptor NOT the default browser and launches the Uninstall survey
  • --nohome, -nohome: skips startup settings
  • --samepage, -samepage: launch the command line page on the current active browser tab
  • --new: starts a new instance of NetCaptor
  • --clean, -clean: runs cleaner, leaves the dialog open at finish. Does not run NetCaptor
  • --cleano, -cleano: runs cleaner, closes cleaner when done. Does not run NetCaptor


NetCaptor Help - Secure Clean Up

 Secure Clean Up

NetCaptor's Clean Up feature makes it easy to securely delete your browser cache, history, AutoComplete entries, and Last Open Sites.

To run Clean Up automatically when NetCaptor closes, see NetCaptor Options > General section.

You can run Clean Up from the Tools menu.

The following file deletion methods are supported:

  • 1 Pass Overwrite - Overwrites files with 0's before deletion
  • 3 Pass US DOD 5220.22-M Method - Overwrites files with 0's, 255's, and random data before deletion. (Reference)
  • 35 Pass Gutmann Method - Uses 35 different passes. Its an interesting algorithm, but definitely OVERKILL. (Reference)


NetCaptor Help - Load Options

 Load Options

NetCaptor makes it easy to set options which specify how the browser loads multimedia files.

Load Images - toggles whether NetCaptor loads images.
Load Videos - toggles whether NetCaptor loads videos.
Load Sounds - toggles whether NetCaptor loads sounds.
Load Animations - toggles whether NetCaptor loads animations.

Note: you may have to reload browser tabs before these settings take effect.


NetCaptor Help - Locked Tabs

 Locked Tabs

When a tab is locked, all clicked links will open in new browser tabs. Locked tabs display a small lock icon on the tab. To lock the active tab, click the F12 key. Pressing F12 again will unlock the active tab. Tabs can also be locked by right-clicking on the tab and selecting the "Lock Tab" menu item.